play.i18n

## Class Localized<T>

- java.lang.Object
- - play.i18n.Localized<T>

    public class Localized<T>
    extends java.lang.Object

A localized object

### Constructor Summary

Constructors
Constructor and Description
`Localized()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `get()`
`T` `get(java.lang.String lang)`
`java.util.Set<java.lang.String>` `lang()`
`void` `set(java.lang.String lang, T value)`
`void` `set(T value)`
`java.lang.String` `toString()`
`java.util.Set<T>` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Localized

    public Localized()

### Method Detail

#### set

    public void set(T value)

#### set

    public void set(java.lang.String lang,
                    T value)

#### get

    public T get()

#### get

    public T get(java.lang.String lang)

#### values

    public java.util.Set<T> values()

#### lang

    public java.util.Set<java.lang.String> lang()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`